Soundside.de SongEditor Help File

HD8 / HD16 SongEditor Help File

  • Introduction
  • Quick Start Guide
  • FAQ
  • Menu Entries
  • Toolbar Buttons
  • Advanced Features, Tips and Hints
  • Get The Latest News
  • Version History

Introduction

The HD is actually pretty easy to use when you want to set up a rhythm pattern and compose a Bass part to go with it, but with the small display on the HD you have to scroll through all the patterns, selecting one at a time with each scroll. You will have to keep track of the measures and pattern changes on a piece of paper if you are ever going to reach the end of the piece. It can get confusing and requires that you review the changes using “play” often so you can check to be sure you have not missed a measure somewhere.
With the Song Editor is not just easier and faster. There are things you can do that the HD editing functions simply won’t do, like changing patterns on more than one beat at once. You can see the entire song zoomed to fill the screen, showing chord changes, pattern changes and with pull down menus for all the editing features implemented in an easy to use window. It’s a whole lot better than crouching over your notes trying to hold a pencil in one hand and the HD in another all the while trying not to lose your cool. With the Song editor you can concentrate on finishing out the song, not the editing. So then you can get back to doing what you really enjoy doing the most,...

Quick Start Guide

In a nutshell

To use the Editor with your HD Zoom recorder do like this:
  1. Connect the HD via USB to your PC
  2. Bring the HD to USB mode [Shift][USB]
  3. Start the editor
  4. Select the menu "File/Load H8/H16 Seq File"
  5. Use the dialog box to find the folder HD_USR
  6. Select the project you like to change
    7. Note: Your first project will be called PROJ000, the next PROJ001 and so on. You can't see the names of your project in USB mode.
  7. Select the file RHYTHM.SEQ
    8. Note: The file RHYTHM.SEQ contains all the patterns and songs for this project.
  8. Now modify the songs to your liking
  9. Save your .seq file
  10. Close the editor
  11. Make sure to disconnect the Zoom recorder via the Windows feature 'Safely Remove Hardware'
    12. Note: In case you disconnect your USB connection or terminate the USB connection via the HD - your .seq file may be corruped and all your patterns and songs may be lost. Allways disconnect the USB connection via Windows first.
  12. After Windows reports 'Save to remove hardware'. Terminate the USB connection via [Shift][USB] on your HD
  13. Now your new songs can be used in the HD

Basic Tutorial

After the HD is set to USB mode [Shift][USB], start the editor and load a .seq file
Select your Zoom HD User folder "HD_USR"
Note: Your first project will be called PROJ000, the next PROJ001 and so on. You can't see the name of your project in USB mode.
Note: The file RHYTHM.SEQ contains all the patterns and songs for this project.
After the start will the first song be loaded. In case your first song is not empty select an empty song now.
The only option for an empty song is to insert some beat / measures. Insert one beat.
All we have now is one empty field.
Mark the field you like to change - here the first (and only) one by clicking with the mouse - the color of the field will change. Now we have to define all event types for the first event.
Invoke the context menu by using the right mouse click (or click on the "Event" menu). Select the event type "Tempo".
... enter 120 bpm (beats per minute). This will be the default playback speed for the song later in the HD.
... select the first pattern (000: 08Beat01). The editor informs you that this pattern is 4 beats long and uses a time signature 4/4.
... the time signature must be set to 4/4. Pattern and time signature can be used independent with the SongEditor. Time signature must be set and define the time signature for the whole song (until a differernt time signature event will be used).
... here will the root (for the bass) be set to the key of "E".
... now the drum level will be set to 15 (max). It will be displayed at buttom left of the field.
... and the bass level also.
Because we like to create a 4/4 beat - now it's time to add some beats. Make sure the directiong of the insert is set to "After the marked field" (the ">" at the top must be activated). Add 3 more beats to get 4 in total.
... mark the last field.
... and add one more measure.
Since we have defined the time signature to 4/4 - 4 beats will be inserted automatically each time you insert one measure. Now mark the first beat of the second measure. The measures and beats are show at the top of each field. The left number is the measure starting with 001. The beat is the number after the measure. E.g. 002-3 is the third beat of the second measure.
Change the Root to "A".
and the Chord Type to Min (minor).
The field for the first beat of the second measure is now set to "Am" (A minor). All other events stay active until they are changed. E.g. for all beats will the pattern "08Beat01" be used.
Now select the third beat of the second measure.
And select another pattern.
Now is our small song ready. If you like add some more measures or more pattern or chord changes to this song.
... save the new song and terminate the editor.
Make sure to disconnect the Zoom recorder via the Windows feature 'Safely Remove Hardware'. You find it at the right part of your taskbar.
Make sure to select the right "USB Mass Storage Device".
After Windows reports 'Save to remove hardware'. Terminate the USB connection via [Shift][USB] on your HD. Now your new song can be used in the HD.

FAQ

  • How do I use this tool ?
  • What can I change with the SongEditor ?
  • How can I change the pattern of a single song event ?
  • How can I change the root of a single song event ?
  • How to change the chord type of a single song event ?
  • Can I change more than one event at a time?
  • How can I select more than one event ?
  • How can I zoom the editing field?
  • How can I save the new song file ?
  • I overwrote an important song can I restore it?

How do I use this tool ?

  1. Select a song file. Click [File] [Load]
  2. All Songs will be shown in the (left) combo box.
  3. All beats for the selected song are shown in the field.
    4. Note: The first beat of a measure is marked dark gray. The first event of each song MUST be used. select a pattern and timesignature for this event.

What can I change with the SongEditor ?

  1. You can change the whole song using the song menu.
  2. You can change selected events. Use the context menu by pressing a (Right mouse) on a box in the event field. There you can change the Pattern, Root, Chord type, Insert, Delete, Copy, Paste,...
    3. Note: First mark any events than change the selected events. To mark any events, simply click on the one you like.

How can I change the pattern of a single song event ?

  1. Mark the events you like to change
  2. Click the (Right mouse) button or use the [Event] menu
  3. Move the mouse to the ‘Pattern’
  4. Choose the pattern you like. (Small arrows at the top and bottom of the menu let you scroll to the other patterns)

How can I change the root of a single song event ?

  1. Mark the events you like to change
  2. Click the (Right mouse) button
  3. Move the mouse to ‘Root’
  4. Choose the root you like

How to change the chord type of a single song event ?

  1. Mark the events you like to change
  2. Click the (Right mouse) button
  3. Move the mouse to ‘Chord Type’
  4. Select the chord type you like

Can I change more than one event at a time ?

  1. Yes, some menu entries in the event menu will change all selected events.(copy, paste, clear(*) and delete)
    2. Note: The menu entries in the song menu will always change ALL events
  2. Some menu entries in the event menu change only the current event.(insert, move(*))

How can I select more than one event ?

  1. Use ‘Ctrl’ and the mouse to select additional events
  2. Use ‘Shift’ and the mouse to select a range of events or Press and hold the (left) mouse key while you move the mouse

How can I zoom the editing field ?

  1. Use the magnifying glass at the bottom right to zoom.
  2. Click the left part of this button to decrease the number of measures in one row.
  3. Click the right part of this button to increase the number of measures in one row.
    4. Note: To make changed in small steps - press the 'shift' key while clicking
  4. The right mouse click will change the size and font of the field
    5. Note: Each right mouse click toggles between small and big size

How can I save the new song file ?

  1. [Save] overwrites the current song file.
  2. [Save As] creates a new song file or overwrites another song file

I overwrote an important song can I restore it ?

  1. General: Make backups of all important song files !
  2. You can undo changes in the Song Editor with [Events] [Undo]
  3. If you are not sure if the new song is better than the old one use menu [File] [Save As] and save the new song with a new name
  4. If you use [File] [Save] you will overwrite the last saved version. But you can restore the last saved version of this song. (The last saved version will be renamed to (Filename).seq_bak)
  5. Rename this file to (Name).seq and load it back into the Song Editor

Menu Entries

All menues marked with an * are not available in the LE Version.
  • File
    • Load Seq File
      Loads a HD seq file and displays the song
    • Save Seq File
      Overrides the current seq file with your changes
    • Save As
      Creates a new seq file or overrides an existing one
      Note: The new .seq file will be use then
    • Exit
      Terminates the editor
  • Song
    • * Double Number of Fields
      Doubles all song events
    • * Half Number of Fields
      In case you have an even number of fields, then the number of fields will be divided by 2.
    • Properties
      To change the name of the HD song
  • Event / Context Menu
    Note: The context menu will be shown in case a right click is done above the event field
    • Undo
      Undo the last step
    • Copy
      The marked region will be marked to be copied into internal memory
    • Paste
      The internal memory will be copied to the field under the current mouse position. In case the place is not large enough to hold. All events - then a warning will be shown and only the first events will be copied.
    • * Clear
      All marked fields will be cleared = set to a field with no events
    • Delete
      All marked fields will be deleted = removed from the song
    • Insert
      a number of beats or measures will be inserted
      Note: See the next section for the direction of the insertion
    • Tempo
      A tempo event will be added or removed
    • Pattern
      A pattern will be added or removed
    • Root
      A root event will be added or removed
    • Chord Type
      A chord type event will be added or removed
    • Drum Volume
      A drum volume event will be added or removed
    • Bass Volume
      A bass volume event will be added or removed
    • * Transpose up
      All marked fields will be transposed one semitone up
    • * Transpose down
      All marked fields will be transposed one semitone down
    • * Move ->
      All marked fields will be moved one field for (to the right)
    • * Move <-
      All marked fields will be moved one field back (to the left)
  • Windows
    • * Top
      Click 'Top' to make the window the topmost window
  • ? / Help
    • Help
      The help file will be displayed (this help)
    • FAQ / Updates / Info
      Jump to the Soundside.de supportpage
    • About
      Information about the version of the SongEditor

Toolbar Buttons

The way marked events will be changed

  • 'A' = All selected events will be changed
  • 'M' = Only selected events with the same event type will be modified (e.g. if you select a new Pattern then only events containing any pattern will be changed)
    • * LE Version uses 'A' all the time

Insert Before/After

  • '>' = inserted new events will be placed after the marked event
  • '<' = inserted new events will be placed before the marked event
    Note: In case more than one event is marked, then the one marked at last will be used

Small/Big Fields

  • 'B' off = Small fields will be shown. Only the pattern name, root and chord type will be shown. In case any additional events are stored an '*' will be shown after the chord type
    Note: A tooltip with this additional event types will be shown in case you more the mouse over this field.
  • B' on = Big fields will be shown. All important information for each field will be shown.
    * LE Version has big fileds on all the time

Event Information Tooltips on/off

  • 'I' off = No information tooltips will be shown for big fields, only one small tooltip line will be shown for small fields
  • 'I' on = Information tooltips with full information will be shown for all fields
    * LE Version can't show the full information tooltips

Beats/Measure Resolution

  • 'Beats' is shown = Full beat resolution is used for the song. The first beat of each measure is marked with a darker color. Different time signatures in one song are supported.
  • 'x/4' is shown = 2/4 .. 8/4 will be shown in case the song has one time signature only. This can be used to have an better overview in case measure resolution is enough
    Note: The time signature will be found automatically. This feature will not be activated in case different time signatures are used in one song
    * LE Version can't show the measures (it shows the beats allways)

Advanced Features, Tips and Hints

All features marked with an * are not available in the LE Version.

How to start creating a Song ?

The Zoom needs a Pattern and TimeSig Event in the very first event of each song. E.g. "ROCK01" and '4/4'.
If you like to change the time signature in one song (e.g. from 4/4 to 3/4), then you need not to use a Pattern with a time signature of 3/4 only but the Zoom needs an TimeSig event '3/4' at this beat too.
If you do not need to change the patterns or root in each beat, then use the measure resolution. It's much easier to get an overview of the whole song.

How to remove any singe pattern/chord type ... event ?

To remove this events click on the first row of the corresponding menu.

Are there Keyboard shortcuts?

Some menu entries can be called via keyboard shortcuts (ctrl key and a character)
Note: The menu will show this shortcut
Some other features can be called via keyboard shortcuts too :
  • * Pattern
    • 6 = Pattern -20
    • 7 = Pattern -1
    • 8 = Pattern +1
    • 9 = Pattern +20
      • Note: The pattern number, name and time signature will be shown in the status line
  • * Key
    • 4 = Key down
    • 5 = Key up
  • * Chord Type
    • 1 = Chord type down
    • 2 = Chord type up
  • Other
    • esc = unmark all
    • F1 = Help
    • F2 = 'M'
    • F3 = 'A'

What is the status line ?

The status line is below the toolbar, and shows the number of measures of the song as well the number of events in one row.
Note: The number of events in one row can be changed via the magnifying glass - see below

The fields are too small !

In case you like the fields larger use the magnifying glass - see below !

What is the magnifying glass for ?

The magnifying glass is in the bottom right corner of the editor.
Here you have a list of all the options:
  • Click on the left half = reduces the number of fields per row by 4
  • Click on the right half = increases the number of fields per row by 4
    Note: If you press the 'shift' key while clicking the you change in steps of 1
  • Do a right click on the field to toggle between small and larger size events
    Note: For very large songs, increase the number of fields per row

Get The Latest News

Please check www.soundside.de for the latest news, upgrades, updates and other tools for your Zoom recorder !

Version History

Changes in version in 1.0 :
Initial version

IN NO EVENT SHALL SOUNDSIDE.DE, ARMIN HEINRICH AND/OR ITS RESPECTIVE SUPPLIERS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF SOFTWARE, DOCUMENTS, PROVISION OF OR FAILURE TO PROVIDE SERVICES, OR INFORMATION AVAILABLE FROM THE SERVICES.
© 2006 - 2007 Soundside.de